Package org.codehaus.groovy.reflection

# Class ParameterTypes

java.lang.Object
org.codehaus.groovy.reflection.ParameterTypes

Direct Known Subclasses:
  `CachedConstructor`, `MetaMethod`

public class ParameterTypes extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`isVargsMethod`
`protected Class[]`
`nativeParamTypes`
`protected CachedClass[]`
`parameterTypes`

## Constructor Summary

Constructors
Constructor
Description
`ParameterTypes()`
`ParameterTypes(Class[] pt)`
`ParameterTypes(String[] pt)`
`ParameterTypes(CachedClass[] parameterTypes)`

## Method Summary

Modifier and Type
Method
Description
`final Object[]`
`coerceArgumentsToClasses(Object[] argumentArray)`
`Object[]`
`correctArguments(Object[] argumentArray)`
`Class[]`
`getNativeParameterTypes()`
`CachedClass[]`
`getParameterTypes()`
`protected Class[]`
`getPT()`
`boolean`
`isValidExactMethod(Class[] args)`
`boolean`
`isValidExactMethod(Object[] args)`
`boolean`
`isValidMethod(Class[] arguments)`
`boolean`
`isValidMethod(Object[] arguments)`
`boolean`
`isVargsMethod()`
`boolean`
`isVargsMethod(Object[] arguments)`
`protected final void`
`setParametersTypes(CachedClass[] pt)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nativeParamTypes

protected volatile Class[] nativeParamTypes

### parameterTypes

protected volatile CachedClass[] parameterTypes

### isVargsMethod

protected boolean isVargsMethod

## Constructor Details

### ParameterTypes

public ParameterTypes()

### ParameterTypes

public ParameterTypes(Class[] pt)

### ParameterTypes

public ParameterTypes(String[] pt)

### ParameterTypes

public ParameterTypes(CachedClass[] parameterTypes)

## Method Details

### setParametersTypes

protected final void setParametersTypes(CachedClass[] pt)

### getParameterTypes

public CachedClass[] getParameterTypes()

### getNativeParameterTypes

public Class[] getNativeParameterTypes()

### getPT

protected Class[] getPT()

### isVargsMethod

public boolean isVargsMethod()

### isVargsMethod

public boolean isVargsMethod(Object[] arguments)

### coerceArgumentsToClasses

public final Object[] coerceArgumentsToClasses(Object[] argumentArray)

### correctArguments

public Object[] correctArguments(Object[] argumentArray)

### isValidMethod

public boolean isValidMethod(Class[] arguments)

### isValidExactMethod

public boolean isValidExactMethod(Object[] args)

### isValidExactMethod

public boolean isValidExactMethod(Class[] args)

### isValidMethod

public boolean isValidMethod(Object[] arguments)